package com.kmall.admin.dao;

import com.kmall.admin.entity.ThirdMerchantBizEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 第三方商户表Dao
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-02-15 11:43:32
 */
public interface ThirdMerchantBizDao extends BaseDao<ThirdMerchantBizEntity> {
    List<ThirdMerchantBizEntity> findByMerchSn(String merchSn);
    ThirdMerchantBizEntity getThirdMerchangByCode(@Param("thirdMerchantCode")String thirdMerchantCode);
}
