package com.kmall.admin.dao;

import com.kmall.admin.entity.UserCouponEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author Scott
 * @email
 * @date 2017-08-19 15:40:33
 */
public interface UserCouponDao extends BaseDao<UserCouponEntity> {
    UserCouponEntity queryByOrderId(@Param("orderId") Long orderId);

    Integer cancelOrder(UserCouponEntity couponVo);

    List<UserCouponEntity> getUserCouponByDiscIdList(Map<String, Object> map);

    List<UserCouponEntity> queryByStoreTopicId(@Param("storeTopicId") Integer storeTopicId);


    int queryUserCouponByDiscIdTotal(Map<String, Object> map);
}
