package com.kmall.admin.dao;


import com.kmall.admin.entity.MerchUserEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Dao
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-05 14:34:32
 */
public interface MerchUserDao extends BaseDao<MerchUserEntity> {
    MerchUserEntity queryObjectByStoreId(@Param("storeId") Long storeId, @Param("userId") Long userId);

    List<MerchUserEntity> queryMerchUserByLoadGoods(@Param("storeId") Long storeId);

    Integer updateStoreLoadGoodsById(MerchUserEntity merchUserEntity);
}
