package com.kmall.admin.dao;

import com.kmall.admin.entity.ProductEntity;
import org.apache.ibatis.annotations.Param;
import com.kmall.manager.dao.BaseDao;

/**
 * Dao
 *
 * @author Scott
 * @email
 * @date 2017-08-30 14:31:21
 */
public interface ProductDao extends BaseDao<ProductEntity> {

    /**
     * 根据商品ID删除产品
     *
     * @param goodsId
     * @return
     */
    int deleteByGoodsId(Integer goodsId);

    /**
     * 根据id查询产品
     *
     * @param goodsId
     * @return
     */
    ProductEntity queryObjectByGoodsIdAndStoreId(@Param("goodsId") String goodsId,@Param("storeId")String storeId);

//    /**
//     * 根据编码查询产品
//     *
//     * @param goodsSn
//     * @return
//     */
//    ProductEntity queryObjectBySn(@Param("goodsSn") String goodsSn);

}
