package com.kmall.admin.dao.mk.store;

import com.kmall.admin.dto.*;
import com.kmall.admin.entity.mk.store.MkStoreCampMinusLevelEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 门店满减活动层级表，活动减免类型为00：按满足最高层级减一次时增加的活动层级数据Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:29
 */
public interface MkStoreCampMinusLevelDao extends BaseDao<MkStoreCampMinusLevelEntity> {
    List<MkStoreCampMinusLevelEntity> queryLevelByCampMinusId(@Param("campMinusId") Integer campMinusId);

    Integer deleteByCampMinusId(@Param("campMinusId") Integer campMinusId);

//    List<MinusTypeUnitAttrDto> queryUnitLevelBy();
//
//    List<MinusTypeUnitModeDto> queryUnitMode10LevelBy();
//
//    List<MinusTypePieceAttrDto> queryPieceLevelBy();
//
//    List<MinusTypePieceModeDto> queryPieceMode10LevelBy();
//
//    List<MinusTypeDiscUnitAttrDto> queryDiscUnitLevelBy();
//
//    List<MinusTypeDiscPieceAttrDto> queryDiscPieceLevelBy();

}
